## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# NodeSortKey Class Reference

Simple data structure class for use by the NodeSorter class. More...

Collaboration diagram for NodeSortKey:

[legend]
List of all members.

## Public Member Functions

- NodeSortKey (ExecutionContext &executionContext, const XPath *selectPat, bool treatAsNumbers, bool descending, XalanCollationServices::eCaseOrder caseOrder, const XalanDOMString &langValue, const PrefixResolver &resolver)
    Construct a node sort key.
- NodeSortKey ()
- NodeSortKey (const NodeSortKey &theSource)
- ~NodeSortKey ()
- NodeSortKey & operator= (const NodeSortKey &theRHS)
- const XPath * getSelectPattern () const
    Retrieve the selection XPath.
- bool getTreatAsNumbers () const
    Whether to treat values as numbers.
- bool getDescending () const
    Whether to sort in descending order.
- XalanCollationServices::eCaseOrder getCaseOrder () const
    Get the enumeration value for the case order.
- const PrefixResolver * getPrefixResolver () const
    Retrieve the resolver for namespaces.
- const XalanDOMString & getLanguageString () const

## Detailed Description

Simple data structure class for use by the NodeSorter class.

## Constructor & Destructor Documentation

NodeSortKey::NodeSortKey | ( | ExecutionContext & | executionContext,
|  | const XPath * | selectPat,
|  | bool | treatAsNumbers,
|  | bool | descending,
|  | XalanCollationServices::eCaseOrder | caseOrder,
|  | const XalanDOMString & | langValue,
|  | const PrefixResolver & | resolver
| ) |

  | Construct a node sort key. Parameters:
  executionContext | current execution context
  selectPat | XPath for selection
  treatAsNumbers | treat as numeric values if true
  descending | sort in descending order if true
  caseOrder | case sort order enum
  langValue | language
  resolver | resolver for namespace resolution

NodeSortKey::NodeSortKey | ( |  | ) |

NodeSortKey::NodeSortKey | ( | const NodeSortKey & | theSource | ) |

NodeSortKey::~NodeSortKey | ( |  | ) |

## Member Function Documentation

XalanCollationServices::eCaseOrder NodeSortKey::getCaseOrder | ( |  | ) | const

| Get the enumeration value for the case order. Returns: sort upper case before lower case if true

bool NodeSortKey::getDescending | ( |  | ) | const

| Whether to sort in descending order. Returns: sort in descending order if true

const XalanDOMString& NodeSortKey::getLanguageString | ( |  | ) | const

const PrefixResolver* NodeSortKey::getPrefixResolver | ( |  | ) | const

| Retrieve the resolver for namespaces. Returns: object for namespace resolution

const XPath* NodeSortKey::getSelectPattern | ( |  | ) | const

| Retrieve the selection XPath. Returns: XPath for selection

bool NodeSortKey::getTreatAsNumbers | ( |  | ) | const

| Whether to treat values as numbers. Returns: treat as numeric values if true

NodeSortKey& NodeSortKey::operator= | ( | const NodeSortKey & | theRHS | ) |

The documentation for this class was generated from the following file:

- NodeSortKey.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.